ApiOzoneReplicationResult (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiOzoneReplicationResult

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiOzoneReplicationResult

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiOzoneReplicationResult
      extends Object

  Detailed information about an OZONE replication job.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiOzoneReplicationResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiOzoneReplicationResult` | `addCountersItem(ApiHdfsReplicationCounter countersItem)`
    `ApiOzoneReplicationResult` | `addFailedFilesItem(String failedFilesItem)`
    `ApiOzoneReplicationResult` | `addSnapshottedDirsItem(String snapshottedDirsItem)`
    `ApiOzoneReplicationResult` | `counters(List<ApiHdfsReplicationCounter> counters)`
    `ApiOzoneReplicationResult` | `dryRun(Boolean dryRun)`
    `boolean` | `equals(Object o)`
    `ApiOzoneReplicationResult` | `estimatedCompletionTime(String estimatedCompletionTime)`
    `ApiOzoneReplicationResult` | `failedFiles(List<String> failedFiles)`
    `List<ApiHdfsReplicationCounter>` | `getCounters()` The counters collected from the replication job.
    `Boolean` | `getDryRun()` Whether this was a dry run.
    `String` | `getEstimatedCompletionTime()` The estimated completion time for the mapper phase.
    `List<String>` | `getFailedFiles()` The list of files that failed during replication.
    `String` | `getJobDetailsUri()` Read-only.
    `String` | `getJobId()` Read-only.
    `String` | `getLogPath()` Returns HDFS path of DistCp execution log files.
    `BigDecimal` | `getNumBytesCopied()` The number of bytes actually copied.
    `BigDecimal` | `getNumBytesCopyFailed()` The aggregate number of bytes in the files for which copy failed.
    `BigDecimal` | `getNumBytesDryRun()` The number of bytes found to copy.
    `BigDecimal` | `getNumBytesExpected()` The number of bytes expected to be copied.
    `BigDecimal` | `getNumBytesSkipped()` The aggregate number of bytes in the skipped files.
    `BigDecimal` | `getNumFilesCopied()` The number of files actually copied.
    `BigDecimal` | `getNumFilesCopyFailed()` The number of files for which copy failed.
    `BigDecimal` | `getNumFilesDeleted()` The number of files deleted since they were present at destination, but missing from source.
    `BigDecimal` | `getNumFilesDryRun()` The number of files found to copy.
    `BigDecimal` | `getNumFilesExpected()` The number of files expected to be copied.
    `BigDecimal` | `getNumFilesSkipped()` The number of files that were unchanged and thus skipped during copying.
    `BigDecimal` | `getProgress()` The file copy progress percentage.
    `BigDecimal` | `getRemainingTime()` The time remaining for mapper phase (seconds).
    `String` | `getRunAsUser()` Returns run-as user name.
    `String` | `getRunOnSourceAsUser()` Returns run-as user name for source cluster.
    `String` | `getSetupError()` The error that happened during job setup, if any.
    `List<String>` | `getSnapshottedDirs()` The list of directories for which snapshots were taken and used as part of this replication.
    `BigDecimal` | `getThroughput()` The data throughput in KB/s.
    `int` | `hashCode()`
    `ApiOzoneReplicationResult` | `jobDetailsUri(String jobDetailsUri)`
    `ApiOzoneReplicationResult` | `jobId(String jobId)`
    `ApiOzoneReplicationResult` | `logPath(String logPath)`
    `ApiOzoneReplicationResult` | `numBytesCopied(BigDecimal numBytesCopied)`
    `ApiOzoneReplicationResult` | `numBytesCopyFailed(BigDecimal numBytesCopyFailed)`
    `ApiOzoneReplicationResult` | `numBytesDryRun(BigDecimal numBytesDryRun)`
    `ApiOzoneReplicationResult` | `numBytesExpected(BigDecimal numBytesExpected)`
    `ApiOzoneReplicationResult` | `numBytesSkipped(BigDecimal numBytesSkipped)`
    `ApiOzoneReplicationResult` | `numFilesCopied(BigDecimal numFilesCopied)`
    `ApiOzoneReplicationResult` | `numFilesCopyFailed(BigDecimal numFilesCopyFailed)`
    `ApiOzoneReplicationResult` | `numFilesDeleted(BigDecimal numFilesDeleted)`
    `ApiOzoneReplicationResult` | `numFilesDryRun(BigDecimal numFilesDryRun)`
    `ApiOzoneReplicationResult` | `numFilesExpected(BigDecimal numFilesExpected)`
    `ApiOzoneReplicationResult` | `numFilesSkipped(BigDecimal numFilesSkipped)`
    `ApiOzoneReplicationResult` | `progress(BigDecimal progress)`
    `ApiOzoneReplicationResult` | `remainingTime(BigDecimal remainingTime)`
    `ApiOzoneReplicationResult` | `runAsUser(String runAsUser)`
    `ApiOzoneReplicationResult` | `runOnSourceAsUser(String runOnSourceAsUser)`
    `void` | `setCounters(List<ApiHdfsReplicationCounter> counters)`
    `void` | `setDryRun(Boolean dryRun)`
    `void` | `setEstimatedCompletionTime(String estimatedCompletionTime)`
    `void` | `setFailedFiles(List<String> failedFiles)`
    `void` | `setJobDetailsUri(String jobDetailsUri)`
    `void` | `setJobId(String jobId)`
    `void` | `setLogPath(String logPath)`
    `void` | `setNumBytesCopied(BigDecimal numBytesCopied)`
    `void` | `setNumBytesCopyFailed(BigDecimal numBytesCopyFailed)`
    `void` | `setNumBytesDryRun(BigDecimal numBytesDryRun)`
    `void` | `setNumBytesExpected(BigDecimal numBytesExpected)`
    `void` | `setNumBytesSkipped(BigDecimal numBytesSkipped)`
    `void` | `setNumFilesCopied(BigDecimal numFilesCopied)`
    `void` | `setNumFilesCopyFailed(BigDecimal numFilesCopyFailed)`
    `void` | `setNumFilesDeleted(BigDecimal numFilesDeleted)`
    `void` | `setNumFilesDryRun(BigDecimal numFilesDryRun)`
    `void` | `setNumFilesExpected(BigDecimal numFilesExpected)`
    `void` | `setNumFilesSkipped(BigDecimal numFilesSkipped)`
    `void` | `setProgress(BigDecimal progress)`
    `void` | `setRemainingTime(BigDecimal remainingTime)`
    `void` | `setRunAsUser(String runAsUser)`
    `void` | `setRunOnSourceAsUser(String runOnSourceAsUser)`
    `void` | `setSetupError(String setupError)`
    `void` | `setSnapshottedDirs(List<String> snapshottedDirs)`
    `void` | `setThroughput(BigDecimal throughput)`
    `ApiOzoneReplicationResult` | `setupError(String setupError)`
    `ApiOzoneReplicationResult` | `snapshottedDirs(List<String> snapshottedDirs)`
    `ApiOzoneReplicationResult` | `throughput(BigDecimal throughput)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiOzoneReplicationResult

          public ApiOzoneReplicationResult()

  - ### Method Detail

    - #### progress

          public ApiOzoneReplicationResult progress(BigDecimal progress)

    - #### getProgress

          public BigDecimal getProgress()

      The file copy progress percentage.
      Returns:
        progress

    - #### setProgress

          public void setProgress(BigDecimal progress)

    - #### throughput

          public ApiOzoneReplicationResult throughput(BigDecimal throughput)

    - #### getThroughput

          public BigDecimal getThroughput()

      The data throughput in KB/s.
      Returns:
        throughput

    - #### setThroughput

          public void setThroughput(BigDecimal throughput)

    - #### remainingTime

          public ApiOzoneReplicationResult remainingTime(BigDecimal remainingTime)

    - #### getRemainingTime

          public BigDecimal getRemainingTime()

      The time remaining for mapper phase (seconds).
      Returns:
        remainingTime

    - #### setRemainingTime

          public void setRemainingTime(BigDecimal remainingTime)

    - #### estimatedCompletionTime

          public ApiOzoneReplicationResult estimatedCompletionTime(String estimatedCompletionTime)

    - #### getEstimatedCompletionTime

          public String getEstimatedCompletionTime()

      The estimated completion time for the mapper phase.
      Returns:
        estimatedCompletionTime

    - #### setEstimatedCompletionTime

          public void setEstimatedCompletionTime(String estimatedCompletionTime)

    - #### counters

          public ApiOzoneReplicationResult counters(List<ApiHdfsReplicationCounter> counters)

    - #### addCountersItem

          public ApiOzoneReplicationResult addCountersItem(ApiHdfsReplicationCounter countersItem)

    - #### getCounters

          public List<ApiHdfsReplicationCounter> getCounters()

      The counters collected from the replication job. <p/> Starting with API v4, the full list of counters is only available in the full view.
      Returns:
        counters

    - #### setCounters

          public void setCounters(List<ApiHdfsReplicationCounter> counters)

    - #### numFilesDryRun

          public ApiOzoneReplicationResult numFilesDryRun(BigDecimal numFilesDryRun)

    - #### getNumFilesDryRun

          public BigDecimal getNumFilesDryRun()

      The number of files found to copy.
      Returns:
        numFilesDryRun

    - #### setNumFilesDryRun

          public void setNumFilesDryRun(BigDecimal numFilesDryRun)

    - #### numBytesDryRun

          public ApiOzoneReplicationResult numBytesDryRun(BigDecimal numBytesDryRun)

    - #### getNumBytesDryRun

          public BigDecimal getNumBytesDryRun()

      The number of bytes found to copy.
      Returns:
        numBytesDryRun

    - #### setNumBytesDryRun

          public void setNumBytesDryRun(BigDecimal numBytesDryRun)

    - #### numFilesExpected

          public ApiOzoneReplicationResult numFilesExpected(BigDecimal numFilesExpected)

    - #### getNumFilesExpected

          public BigDecimal getNumFilesExpected()

      The number of files expected to be copied.
      Returns:
        numFilesExpected

    - #### setNumFilesExpected

          public void setNumFilesExpected(BigDecimal numFilesExpected)

    - #### numBytesExpected

          public ApiOzoneReplicationResult numBytesExpected(BigDecimal numBytesExpected)

    - #### getNumBytesExpected

          public BigDecimal getNumBytesExpected()

      The number of bytes expected to be copied.
      Returns:
        numBytesExpected

    - #### setNumBytesExpected

          public void setNumBytesExpected(BigDecimal numBytesExpected)

    - #### numFilesCopied

          public ApiOzoneReplicationResult numFilesCopied(BigDecimal numFilesCopied)

    - #### getNumFilesCopied

          public BigDecimal getNumFilesCopied()

      The number of files actually copied.
      Returns:
        numFilesCopied

    - #### setNumFilesCopied

          public void setNumFilesCopied(BigDecimal numFilesCopied)

    - #### numBytesCopied

          public ApiOzoneReplicationResult numBytesCopied(BigDecimal numBytesCopied)

    - #### getNumBytesCopied

          public BigDecimal getNumBytesCopied()

      The number of bytes actually copied.
      Returns:
        numBytesCopied

    - #### setNumBytesCopied

          public void setNumBytesCopied(BigDecimal numBytesCopied)

    - #### numFilesSkipped

          public ApiOzoneReplicationResult numFilesSkipped(BigDecimal numFilesSkipped)

    - #### getNumFilesSkipped

          public BigDecimal getNumFilesSkipped()

      The number of files that were unchanged and thus skipped during copying.
      Returns:
        numFilesSkipped

    - #### setNumFilesSkipped

          public void setNumFilesSkipped(BigDecimal numFilesSkipped)

    - #### numBytesSkipped

          public ApiOzoneReplicationResult numBytesSkipped(BigDecimal numBytesSkipped)

    - #### getNumBytesSkipped

          public BigDecimal getNumBytesSkipped()

      The aggregate number of bytes in the skipped files.
      Returns:
        numBytesSkipped

    - #### setNumBytesSkipped

          public void setNumBytesSkipped(BigDecimal numBytesSkipped)

    - #### numFilesDeleted

          public ApiOzoneReplicationResult numFilesDeleted(BigDecimal numFilesDeleted)

    - #### getNumFilesDeleted

          public BigDecimal getNumFilesDeleted()

      The number of files deleted since they were present at destination, but missing from source.
      Returns:
        numFilesDeleted

    - #### setNumFilesDeleted

          public void setNumFilesDeleted(BigDecimal numFilesDeleted)

    - #### numFilesCopyFailed

          public ApiOzoneReplicationResult numFilesCopyFailed(BigDecimal numFilesCopyFailed)

    - #### getNumFilesCopyFailed

          public BigDecimal getNumFilesCopyFailed()

      The number of files for which copy failed.
      Returns:
        numFilesCopyFailed

    - #### setNumFilesCopyFailed

          public void setNumFilesCopyFailed(BigDecimal numFilesCopyFailed)

    - #### numBytesCopyFailed

          public ApiOzoneReplicationResult numBytesCopyFailed(BigDecimal numBytesCopyFailed)

    - #### getNumBytesCopyFailed

          public BigDecimal getNumBytesCopyFailed()

      The aggregate number of bytes in the files for which copy failed.
      Returns:
        numBytesCopyFailed

    - #### setNumBytesCopyFailed

          public void setNumBytesCopyFailed(BigDecimal numBytesCopyFailed)

    - #### setupError

          public ApiOzoneReplicationResult setupError(String setupError)

    - #### getSetupError

          public String getSetupError()

      The error that happened during job setup, if any.
      Returns:
        setupError

    - #### setSetupError

          public void setSetupError(String setupError)

    - #### jobId

          public ApiOzoneReplicationResult jobId(String jobId)

    - #### getJobId

          public String getJobId()

      Read-only. The MapReduce job ID for the replication job. Available since API v4. <p/> This can be used to query information about the replication job from the MapReduce server where it was executed. Refer to the \"/activities\" resource for services for further details.
      Returns:
        jobId

    - #### setJobId

          public void setJobId(String jobId)

    - #### jobDetailsUri

          public ApiOzoneReplicationResult jobDetailsUri(String jobDetailsUri)

    - #### getJobDetailsUri

          public String getJobDetailsUri()

      Read-only. The URI (relative to the CM server's root) where to find the Activity Monitor page for the job. Available since API v4.
      Returns:
        jobDetailsUri

    - #### setJobDetailsUri

          public void setJobDetailsUri(String jobDetailsUri)

    - #### dryRun

          public ApiOzoneReplicationResult dryRun(Boolean dryRun)

    - #### getDryRun

          public Boolean getDryRun()

      Whether this was a dry run.
      Returns:
        dryRun

    - #### setDryRun

          public void setDryRun(Boolean dryRun)

    - #### snapshottedDirs

          public ApiOzoneReplicationResult snapshottedDirs(List<String> snapshottedDirs)

    - #### addSnapshottedDirsItem

          public ApiOzoneReplicationResult addSnapshottedDirsItem(String snapshottedDirsItem)

    - #### getSnapshottedDirs

          public List<String> getSnapshottedDirs()

      The list of directories for which snapshots were taken and used as part of this replication.
      Returns:
        snapshottedDirs

    - #### setSnapshottedDirs

          public void setSnapshottedDirs(List<String> snapshottedDirs)

    - #### runAsUser

          public ApiOzoneReplicationResult runAsUser(String runAsUser)

    - #### getRunAsUser

          public String getRunAsUser()

      Returns run-as user name. Available since API v11.
      Returns:
        runAsUser

    - #### setRunAsUser

          public void setRunAsUser(String runAsUser)

    - #### runOnSourceAsUser

          public ApiOzoneReplicationResult runOnSourceAsUser(String runOnSourceAsUser)

    - #### getRunOnSourceAsUser

          public String getRunOnSourceAsUser()

      Returns run-as user name for source cluster. Available since API v18.
      Returns:
        runOnSourceAsUser

    - #### setRunOnSourceAsUser

          public void setRunOnSourceAsUser(String runOnSourceAsUser)

    - #### logPath

          public ApiOzoneReplicationResult logPath(String logPath)

    - #### getLogPath

          public String getLogPath()

      Returns HDFS path of DistCp execution log files. Available since API v33.
      Returns:
        logPath

    - #### setLogPath

          public void setLogPath(String logPath)

    - #### failedFiles

          public ApiOzoneReplicationResult failedFiles(List<String> failedFiles)

    - #### addFailedFilesItem

          public ApiOzoneReplicationResult addFailedFilesItem(String failedFilesItem)

    - #### getFailedFiles

          public List<String> getFailedFiles()

      The list of files that failed during replication. Available since API v11.
      Returns:
        failedFiles

    - #### setFailedFiles

          public void setFailedFiles(List<String> failedFiles)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.